Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls
Class BackingContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.BackingContext

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  DesktopBackingContext, FooterBackingContext, HeaderBackingContext, MenuBackingContext, WindowBackingContext

    public abstract class BackingContext

extends com.bea.netuix.servlets.controls.ControlContext

Context base class for `controls` that support a backing file. The control framework provides instances of subclasses of `BackingContext` during actions and in backing files.

See Also
  Serialized Form

Method Summary
`protected void` | `ensureCurrentLifecycleStageLegalForOperation(String operation, com.bea.netuix.nf.LifecycleStageFilter filter)`
`List` | `getChildrenBackingContexts()` Returns a `List` of `BackingContexts` belonging to the children of the control this `BackingContext` represents that are BackableControls.
`BackingContext` | `getParentBackingContext()` Returns the `BackingContext` of the first ancestor that has one.
`Properties` | `getParsedProperties()` Get the extra properties of the component, if they exist.
`String` | `getProperties()` Get the extra properties string of the component, if it exists.
`String` | `getProperty(String key)` Get a property of the underlying component.
`String` | `getProperty(String key, String defaultValue)` Get a property of the underlying component, using the specified default if none exists.
`String` | `getSendRedirectPath()` Returns the redirect path if set, null otherwise.
`BackingContext` | `getTopParentBackingContext()` Returns the `BackingContext` of the upper most BackableControl in the tree.
`boolean` | `isBackingPhase()` Returns whether or not this is in the backing phase.
`boolean` | `isVisible()` Returns the value of the underlying control's `visible` attribute.
`void` | `sendRedirect(String path)` Redirects the client to the given path.
`protected void` | `setBackingPhase(boolean backingPhase)` Sets whether or not this is in the backing phase.
`void` | `setVisible(boolean visible)` Set the visible flag on the underlying control.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isVisible

    public boolean isVisible()

  Returns the value of the underlying control's `visible` attribute.

  Returns
    a boolean, the value of the underlying control's `visible` attribute.

### setVisible

    public void setVisible(boolean visible)

  Set the visible flag on the underlying control. If the flag is set to true, the control will not be rendered. It will still run in the handlePostbackData and preRender lifecycles.

  Parameters
    `visible` -

### getParentBackingContext

    public BackingContext getParentBackingContext()

  Returns the `BackingContext` of the first ancestor that has one.

  Returns
    the BackingContext of the first ancestor that is a BackableControl. If there are no BackableControls among the ancestors returns null.

### getTopParentBackingContext

    public BackingContext getTopParentBackingContext()

  Returns the `BackingContext` of the upper most BackableControl in the tree.

  Returns
    the BackingContext of the upper most ancestor that is a BackableControl. If there are no BackableControls among the ancestors returns null.

### getChildrenBackingContexts

    public List getChildrenBackingContexts()

  Returns a `List` of `BackingContexts` belonging to the children of the control this `BackingContext` represents that are BackableControls. Note that this method returns `BackingContexts` belonging to the immediate children only; in other words it is not a "deep" list of the children.

  Returns
    `List` of `BackingContext`

### isBackingPhase

    public boolean isBackingPhase()

  Returns whether or not this is in the backing phase. This method returns true during every lifecycle except `render`.

  Returns
    return true if we are in the backing phase of the lifecycle.

### sendRedirect

    public void sendRedirect(String path)

  Redirects the client to the given path. The path set should follow the same rules that apply to the `sendRedirect` method in `javax.servlet.http.HttpServletResponse`. This method should only be called in the handlePostbackData method on a backing file. Note that the actual redirect happens after executing the `handlePostbackData` method on all backing files.

  Parameters
    `path` - path

### getSendRedirectPath

    public String getSendRedirectPath()

  Returns the redirect path if set, null otherwise.

  Returns
    redirect path

### getProperties

    public String getProperties()

  Get the extra properties string of the component, if it exists. This value may be null. Properties are formatted as in the following example:

            my-first-key: my-first-value; my-second-key: my-second-value;

  Any number of properties may be in a properties string.

  Returns
    The control's extra properties, if set
  See Also
    `getParsedProperties()`

### getParsedProperties

    public Properties getParsedProperties()

  Get the extra properties of the component, if they exist. This value will not be null. The `Properties` class returned by this method is the parsed view of those from `getProperties()`.

  Returns
    The control's extra properties, if set; an empty Properties instance if not
  See Also
    `getProperties()`

### getProperty

    public String getProperty(String key)

  Get a property of the underlying component. This is a convenience method. The `key` argument should not be null.

  Parameters
    `key` - The property key
  Returns
    The value associated with the specified key, if it exists

### getProperty

    public String getProperty(String key,
                              String defaultValue)

  Get a property of the underlying component, using the specified default if none exists. This is a convenience method. The `key` argument should not be null.

  Parameters
    `key` - The property key
    `defaultValue` - The value to use if no value is found for the specified key
  Returns
    The value associated with the specified key, if it exists, or the default

### setBackingPhase

    protected void setBackingPhase(boolean backingPhase)

  Sets whether or not this is in the backing phase.

  Parameters
    `backingPhase` -

### ensureCurrentLifecycleStageLegalForOperation

    protected final void ensureCurrentLifecycleStageLegalForOperation(String operation,
                                                                      com.bea.netuix.nf.LifecycleStageFilter filter)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.